Bug 31425 - Minor correction to patron categories admin title
Summary: Minor correction to patron categories admin title
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-08-19 17:58 UTC by Owen Leonard
Modified: 2022-10-23 09:58 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00,22.05.06,21.11.12


Attachments
Bug 31425: Minor correction to patron categories admin title (2.36 KB, patch)
2022-08-19 18:08 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 31425: Minor correction to patron categories admin title (2.41 KB, patch)
2022-08-19 19:34 UTC, David Nind
Details | Diff | Splinter Review
Bug 31425: Minor correction to patron categories admin title (2.46 KB, patch)
2022-08-19 21:03 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2022-08-19 17:58:25 UTC
The logic in the template for showing the patron category administration page's title tag leaves an extra "&rsaquo" at the beginning if you're looking at the main view.
Comment 1 Owen Leonard 2022-08-19 18:08:05 UTC
Created attachment 139511 [details] [review]
Bug 31425: Minor correction to patron categories admin title

This patch corrects the patron categories administration template so
that an extra angle bracket isn't included in the page title on the main
view.

To test, apply the patch and go to Administration -> Patron categories.
The page title should read:

Patron categories › Administration › Koha

...with no extra "›" at the beginning.

Check that other views (new, edit, delete) are unaffected.
Comment 2 David Nind 2022-08-19 19:34:08 UTC
Created attachment 139521 [details] [review]
Bug 31425: Minor correction to patron categories admin title

This patch corrects the patron categories administration template so
that an extra angle bracket isn't included in the page title on the main
view.

To test, apply the patch and go to Administration -> Patron categories.
The page title should read:

Patron categories › Administration › Koha

...with no extra "›" at the beginning.

Check that other views (new, edit, delete) are unaffected.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Katrin Fischer 2022-08-19 21:03:28 UTC
Created attachment 139524 [details] [review]
Bug 31425: Minor correction to patron categories admin title

This patch corrects the patron categories administration template so
that an extra angle bracket isn't included in the page title on the main
view.

To test, apply the patch and go to Administration -> Patron categories.
The page title should read:

Patron categories › Administration › Koha

...with no extra "›" at the beginning.

Check that other views (new, edit, delete) are unaffected.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Tomás Cohen Arazi 2022-08-22 14:46:39 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!
Comment 5 Lucas Gass 2022-10-14 19:47:04 UTC
Backported to 22.05.x for upcoming 22.05.06 release
Comment 6 Victor Grousset/tuxayo 2022-10-21 22:25:57 UTC
Not backported to oldoldstable (21.05.x). Feel free to ask if it's needed.

Nothing to document it seems, marking resolved.
Comment 7 Arthur Suzuki 2022-10-22 22:10:39 UTC
Thanks!

Pushed to 21.11 for 21.11.12